Bug 463467 - pm-suspend fails with kernel-2.6.26.3-29.fc9.x86_64
pm-suspend fails with kernel-2.6.26.3-29.fc9.x86_64
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 12:02 EDT by Pasi Sjöholm
Modified: 2009-01-11 16:33 EST (History)
1 user (show)

See Also:
Fixed In Version: Fedora 10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-11 16:33:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pasi Sjöholm 2008-09-23 12:02:12 EDT
Description of problem:
Suspending computer with pm-suspend is failing with kernel-2.6.26.3-29.fc9.x86_64, though kernel-2.6.25.14-108.fc9.x86_64 is working fine.

failing == does not suspend at all.

In /var/log/message I get these:

--cut--
Sep 23 08:59:43 tigeli kernel: CPU1 is down
Sep 23 08:59:43 tigeli kernel: Extended CMOS year: 2000
Sep 23 08:59:43 tigeli kernel: Class suspend failed for gart0
Sep 23 08:59:43 tigeli kernel: Extended CMOS year: 2000
Sep 23 08:59:43 tigeli kernel: PM: Some devices failed to power down
Sep 23 08:59:43 tigeli kernel: Enabling non-boot CPUs ...
Sep 23 08:59:43 tigeli kernel: SMP alternatives: switching to SMP code
Sep 23 08:59:43 tigeli kernel: Booting processor 1/1 ip 6000
Sep 23 08:59:43 tigeli kernel: Initializing CPU#1
--cut--

Found out: 
http://zefir.890m.com/kernel-testing/
http://lkml.org/lkml/2008/5/25/96
Comment 1 Pasi Sjöholm 2008-09-23 12:14:23 EDT
with mem=4G suspend is working with 2.6.26.

without mem=4G (2.6.25 kernel)
Memory: 4058012k/4718592k available (2629k kernel code, 134752k reserved, 1382k data, 352k init)

with mem=4G (2.6.26 kernel)
Memory: 3606496k/3668864k available (2699k kernel code, 61980k reserved, 1485k data, 980k init)
Comment 2 Pasi Sjöholm 2009-01-11 16:33:39 EST
Works with Fedora 10.

Note You need to log in before you can comment on or make changes to this bug.